import request from '@/utils/request'

// 查询信息提醒列表
export function listMessageattention(query) {
  return request({
    url: '/plant/messageattention/list',
    method: 'get',
    params: query
  })
}

// 查询信息提醒详细
export function getMessageattention(id) {
  return request({
    url: '/plant/messageattention/' + id,
    method: 'get'
  })
}

// 新增信息提醒
export function addMessageattention(data) {
  return request({
    url: '/plant/messageattention',
    method: 'post',
    data: data
  })
}

// 修改信息提醒
export function updateMessageattention(data) {
  return request({
    url: '/plant/messageattention',
    method: 'put',
    data: data
  })
}

// 删除信息提醒
export function delMessageattention(id) {
  return request({
    url: '/plant/messageattention/' + id,
    method: 'delete'
  })
}

// 导出信息提醒
export function exportMessageattention(query) {
  return request({
    url: '/plant/messageattention/export',
    method: 'get',
    params: query
  })
}
